## hubzero-projfs 2.2.3-1+deb9

=== Makefile ===
# @package      hubzero-projfs
# @file         Makefile
# @copyright    Copyright (c) 2005-2020 The Regents of the University of California.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2005-2020 The Regents of the University of California.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

#CFLAGS	= -g -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25 -Wall 
CFLAGS	= -O3 -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=25 -Wall -Werror
CFLAGS += -Iinclude
LDFLAGS	= -lfuse
INSTDIR=$(DESTDIR)/sbin

PROJFS_BUILDDIR = projfs_build
IRPROJFS_BUILDDIR = irprojfs_build
SOURCE_FILES = $(wildcard *.c)
PROJFS_OBJECT_FILES = $(SOURCE_FILES:%.c=$(PROJFS_BUILDDIR)/%.o)
IRPROJFS_OBJECT_FILES = $(SOURCE_FILES:%.c=$(IRPROJFS_BUILDDIR)/%.o)

all: projfs irprojfs

irprojfs: $(IRPROJFS_OBJECT_FILES)
	$(CC) -o $@ $^ $(LDFLAGS)

$(IRPROJFS_OBJECT_FILES): $(IRPROJFS_BUILDDIR)/%.o: %.c
	@mkdir -p $(@D)
	$(CC) $(CFLAGS) -DIRODS_BUILD -c -o $@ $<

projfs: $(PROJFS_OBJECT_FILES)
	$(CC) -o $@ $^ $(LDFLAGS)

$(PROJFS_OBJECT_FILES): $(PROJFS_BUILDDIR)/%.o: %.c
	@mkdir -p $(@D)
	$(CC) $(CFLAGS) -c -o $@ $<

install: projfs irprojfs
	install -d $(INSTDIR) --mode 0755
	install projfs $(INSTDIR)/mount.projfs --mode 0755
	install irprojfs $(INSTDIR)/mount.irprojfs --mode 0755

clean:
	rm -f $(IRPROJFS_BUILDDIR)/*.o $(PROJFS_BUILDDIR)/*.o projfs irprojfs build-stamp configure-stamp

=== debian/changelog ===
hubzero-projfs (2.2.3-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 17:41:09 -0700

hubzero-projfs (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 09:26:17 -0700

hubzero-projfs (1.2.1-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 13 Feb 2020 11:38:00 -0500

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-projfs
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-projfs install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-projfs 2.2.6-1+deb10

=== debian/changelog ===
hubzero-projfs (2.2.6-1+deb10) unstable; urgency=low

  * remove pragmas no longer required after buffer increase

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 09 Sep 2022 10:37:19 -0700

hubzero-projfs (2.2.5-1) unstable; urgency=low

  * increase buffer size to be sure

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 09 Sep 2022 09:55:11 -0700

hubzero-projfs (2.2.4-1) unstable; urgency=low

  * check for buffer edge conditions to make newer gcc happy

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 11 Dec 2020 16:00:21 -0800

hubzero-projfs (2.2.3-1) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 17:41:09 -0700

=== debian/control ===
Source: hubzero-projfs
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://hubzero.org

Package: hubzero-projfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero project filesystem
 Fuse filesystem for mounting hubzero projects directories
